export default defineNuxtPlugin(async (nuxtApp) => {
  const { $getapi, $readyapi } = useNuxtApp()
  let connlist = $readyapi(['moneyunit', 'datatype', 'filterchoice', 'colorchoice', 'textalign', 'placement', 'colorscheme',
    'filtertype', 'sorttype', 'tablesetting', 'settingchoice', 'sharechoice', 'menuchoice', 'settingtype', 'settingclass', 
    'systemsetting'])
  let filter = connlist.filter(v=>!v.ready)
  if(filter.length>0) await $getapi(filter)
})
